// WStar Drawing program

//  PROPIX, Written by Pintr Gbor
// Szkesfehrvr, Krivnyi u. 15.
// H-8000, HUNGARY
// Tel: +36 30 9972445
// Fax: +36 22 304326
// Email: propix@mail.datatrans.hu
//        Pinter.Gabor@freemail.hu
// Web: www.propix.hu
//      www.datatrans.hu/propix

// Revisions:
//  V1.0  01/19/1997  First version written in C
//  V3.0  02/19/1998  Rewritten in Delphi 3
//  V5.0  08/25/2000  Recompiled with Delphi 5
//  V5.01 11/14/2000  More features, source reorganized
//  V5.02 11/30/2000  Transparent background added
//  V5.03 12/13/2000  PinyoDrawing is a component

unit PointsUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ComCtrls;

type
  TNumPointsForm = class(TForm)
    PointsLabel: TLabel;
    NumPointsEdit: TEdit;
    OK: TButton;
    Cancel: TButton;
    NumPointsUpDown: TUpDown;
    procedure OKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  end;

implementation

{$R *.DFM}

uses MainUnit, DrawUnit;


//----------------------------------------------------------------------------------------------------------------------
// Initialize controls and interpret selection


// Initialize controls
procedure TNumPointsForm.FormShow(Sender: TObject);
begin
  try
    NumPointsEdit.Text:=IntToStr(MainForm.PinyoDrawing.Points);                 // Integer
  except
    NumPointsEdit.Text:='17';                                                   // Default
  end;
end;


// OK button click
procedure TNumPointsForm.OKClick(Sender: TObject);
var
  i : Integer;
begin
  try
    i:=StrToInt(NumPointsEdit.Text);                                            // Points
    if (1<=i) and (i<=999) then MainForm.PinyoDrawing.Points:=i;                // Set if acceptable
  except
  end;
end;

end.
