// WStar Drawing program

//  PROPIX, Written by Pintr Gbor
// Szkesfehrvr, Krivnyi u. 15.
// H-8000, HUNGARY
// Tel: +36 30 9972445
// Fax: +36 22 304326
// Email: propix@mail.datatrans.hu
//        Pinter.Gabor@freemail.hu
// Web: www.propix.hu
//      www.datatrans.hu/propix

// Revisions:
//  V1.0  01/19/1997  First version written in C
//  V3.0  02/19/1998  Rewritten in Delphi 3
//  V5.0  08/25/2000  Recompiled with Delphi 5
//  V5.01 11/14/2000  More features, source reorganized
//  V5.02 11/30/2000  Transparent background added
//  V5.03 12/13/2000  PinyoDrawing is a component


program Wstar;

uses
  Forms,
  AboutUnit in '..\About\AboutUnit.pas' {AboutForm},
  MainUnit in '..\Main\MainUnit.pas' {MainForm},
  PointsUnit in '..\Points\PointsUnit.pas' {NumPointsForm},
  ForegroundUnit in '..\Foreground\ForegroundUnit.pas' {ForegroundForm},
  BackgroundUnit in '..\Background\BackgroundUnit.pas' {BackgroundForm};

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'Wstar';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TForegroundForm, ForegroundForm);
  Application.CreateForm(TBackgroundForm, BackgroundForm);
  Application.Run;
end.
